This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 733862 - Recent udev breaks bluetooth mouse + fix
Recent udev breaks bluetooth mouse + fix
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-27 16:44 EDT by Hans de Goede
Modified: 2011-09-09 13:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: udev-173-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-09 13:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2011-08-27 16:44:06 EDT
After upgrading to Fedora 16 my bluetooth mouse stopped working, even after it was sucessfully
paired. Doing cat /dev/input/mouse2 (which is the bluetooth mouse) does show events getting generated, but the pointer does not move in X.

I've managed to pin this down to:
/lib/udev/rules.d/60-persistent-input.rules

Doing udevadm info --path=... --query=all on both working and non working mouse devices I found that the bluetooth mouse was missing:
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1

Commenting the following line in /lib/udev/rules.d/60-persistent-input.rules :
SUBSYSTEMS=="bluetooth", GOTO="persistent_input_end"

Makes these env variables get set for the bluetooth mouse and make it work under X again.
Comment 2 Fedora Update System 2011-08-29 11:16:35 EDT
udev-173-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/udev-173-3.fc16
Comment 3 Fedora Update System 2011-08-30 16:34:36 EDT
Package udev-173-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udev-173-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/udev-173-3.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-09-09 13:01:42 EDT
udev-173-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.